Subject: [mpls-tp] Subject: RE: New ID draft-rkhd-mpls-tp-sd-00

From: [email-masked]
Date: Mon, 23 Aug 2010 08:13:17 +0200

Hi Maarten,

I think there are two means to communicate the PHY SD condition:
1) After the detection of SD, put the P-node's line interfcae in the DOWN 
status. The PE node will know the SD condition from OAM CC function.
2) Using AIS/RDI like OAM msg, for example FDI(Forward Defect Indication) & 
RDI. I think the BER should be communicated.

Best regards 
  
Ruiquan Jing 

> -----Original Message-----
> From: Maarten Vissers [mailto:[email-masked]] 
> Sent: Wednesday, August 18, 2010 4:15 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: RE: [mpls-tp] New ID draft-rkhd-mpls-tp-sd-00
> 
> Ruiquan,
> 
> If e.g. a SDH/OTN/ETH PHY in a P-node in the core of a 
> network (e.g. P7) experiences a SD condition (e.g. on link P6 
> to P7), and a MS-PW or MS-service-LSP is protected in its 
> metro-edge S-PE nodes (SPE3 and SPE10), we need a method to 
> communicate this PHY SD condition from the line port in
> P7 to the protection switch (PSW) function in SPE10 (???). 
> This signal has to pass through P7, SPE8 and P9.
> 
> CE1--TPE2--SPE3--P4--SPE5--P6--P7--SPE8--P9--SPE10--TPE11--CE12
>            PSW               SD ----???------>PSW
> 
> The problem is not only the definition of SD on 1GE and 10GE 
> LAN PHYs, but also the communication means from e.g. P7 to e.g. SPE10.
> 
> Furthermore we would need to specify what to communicate if 
> e.g. two PHY links (e.g. P6-P7 and SPE8-P9)have an SD condition:
> 
> CE1--TPE2--SPE3--P4--SPE5--P6--P7--SPE8--P9--SPE10--TPE11--CE12
>            PSW               SD ----???------>PSW
>                                        SD --->
> 
> Regards,
> Maarten
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: woensdag 18 augustus 2010 7:58
> To: [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: RE: [mpls-tp] New ID draft-rkhd-mpls-tp-sd-00
> 
> Hi all,
> 
> IMHO, I think we can separate SD in MPLS-TP into two type:
> Type I: SD based on monitoring of the physical layer signal 
> such as SDH/OTN/ETH PHY.
> Type II: SD based on measurements of packet loss of LSP/PW
> 
> In my point of view,  Type I SD should be supported in the 
> first phase, Type II SD could be supported in future.
> The problem with  Type I SD is that 1GE & 10GE LAN PHY don't 
> support BER monitoring, but they are the mainstream interface 
> type on MPLS-TP based equipments. 
> 
> Best regards 
>   
> Ruiquan Jing 
>  
> China¡¡Telecom  Beijing  Research¡¡Institute 
>  
>